ExtUtils::Command::MM(3)

NAME
ExtUtils::Command::MM - Commands for the MM's to use in Makefiles

SYNOPSIS
  perl -MExtUtils::Command::MM -e "function" files...

DESCRIPTION
FOR INTERNAL USE ONLY! The interface is not stable.

ExtUtils::Command::MM encapsulates code which would otherwise have to be done with large "one" liners.

They all read their input from @ARGV unless otherwise noted.

Any $(FOO) used in the examples are make variables, not Perl.

test_harness
      test_harness($verbose, @test_libs);

    Runs the tests on @ARGV via Test::Harness passing through the $verbose flag. Any @test_libs will be unshifted onto the test's @INC.

    @test_libs are run in alphabetical order.